import wx
import SimUtils

#----------------------------------------------------------------------------

class TileType:
    def __init__(self, name, width, height):
        self.name = name
        self.width = width
        self.height = height

    def DrawAtLocation(self, xPixel, yPixel, pdc):
        pdc.DrawRectangle(xPixel, yPixel, self.width, self.height)


class Tile:
    def __init__(self, ttype, coords=None):
        self.type = ttype
        self.coords = coords

    def __str__(self):
        outStr = self.type.name + str(self.coords)
        return outStr

    def __repr__(self):
        outStr = self.type.name + str(self.coords)
        return outStr
